Skip to navigation

List executors

Lists the caller’s executor connections with filtering, pagination, and identity search. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (CoordinatorExecutorConnectionsForCoordinatorListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchstring or nullOptional
Search by organization identity details
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_connection_idslist of strings or nullOptional
Filter by selected connection ids
filter_auto_assign_enabledboolean or nullOptional

Filter by executor auto-assign consent

filter_connectedboolean or nullOptional
Filter by connection status

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Unprocessable Entity Error